package com.xunhong.erp.turbo.api.infra.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum SettingKeyEnum {
	/**
	 * 小程序开发信息配置
	 */
	WX_MA_CONFIG("WX_MA_CONFIG"),
	/**
	 * 小程序消息推送配置
	 */
	WX_MA_MESSAGE_PUSH_CONFIG("WX_MA_MESSAGE_PUSH_CONFIG"),
	/**
	 * 小程序订阅消息配置
	 */
	WX_MA_SUBSCRIBE_MESSAGE_CONFIG("WX_MA_SUBSCRIBE_MESSAGE_CONFIG"),
	/**
	 * 小程序代码上传配置
	 */
	WX_MA_CODE_UPLOAD_CONFIG("WX_MA_CODE_UPLOAD_CONFIG"),
	/**
	 * 微信支付配置
	 */
	WX_PAY_CONFIG("WX_PAY_CONFIG"),
	/**
	 * 腾讯地图配置
	 */
	TENCENT_MAP_CONFIG("TENCENT_MAP_CONFIG"),
	/**
	 * 短信配置
	 */
	SMS_CONFIG("SMS_CONFIG"),
	/**
	 * 虚拟电话配置
	 */
	VIRTUAL_PHONE_CONFIG("VIRTUAL_PHONE_CONFIG"),
	/**
	 * 微信公众号配置
	 */
	WX_MP_CONFIG("WX_MP_CONFIG"),
	/**
	 * 微信公众号消息推送配置
	 */
	WX_MP_MESSAGE_PUSH_CONFIG("WX_MP_MESSAGE_PUSH_CONFIG"),
	/**
	 * 支付宝配置
	 */
	ALI_PAY_CONFIG("ALI_PAY_CONFIG"),
	/**
	 * 充电桩设备购买配置
	 */
	CHARGING_PILE_PURCHASE_CONFIG("CHARGING_PILE_PURCHASE_CONFIG"),
	/**
	 * 自定义主题
	 */
	CUSTOM_THEME_CONFIG("CUSTOM_THEME_CONFIG"),
	/**
	 * 自定义菜单配置
	 */
	CUSTOM_MENU_CONFIG("CUSTOM_MENU_CONFIG"),
	/**
	 * 微信公众号通知配置
	 */
	WX_CP_NOTIFY_CONFIG("WX_CP_NOTIFY_CONFIG"),
	/**
	 * 智能识别提示词
	 */
	SMART_RECOGNITION_PROMPT("SMART_RECOGNITION_PROMPT");

	@EnumValue
	private final String key;
}
